From 60bce8b1495e128f397ec1aa71f543a355dddb255fb63ee476dbe9b2a35febf2 Mon Sep 17 00:00:00 2001
From: "P. Janouch"
Date: Fri, 13 May 2016 12:12:11 +0000
Subject: [PATCH] - Made the helper script introduced in last change return
exit status 5 on configuration errors instead of 1, which should make it a
bit less confusing (bsc#979534)
OBS-URL: https://build.opensuse.org/package/show/server:mail/fetchmail?expand=0&rev=68
---
fetchmail.changes | 7 +++++++
fetchmail.exec | 4 ++--
2 files changed, 9 insertions(+), 2 deletions(-)
diff --git a/fetchmail.changes b/fetchmail.changes
index fec1f7c..243b767 100644
--- a/fetchmail.changes
+++ b/fetchmail.changes
@@ -1,3 +1,10 @@
+-------------------------------------------------------------------
+Fri May 13 12:06:54 UTC 2016 - pjanouch@suse.de
+
+- Made the helper script introduced in last change return exit status
+ 5 on configuration errors instead of 1, which should make it a bit
+ less confusing (bsc#979534)
+
-------------------------------------------------------------------
Fri Apr 8 12:20:27 UTC 2016 - pjanouch@suse.de
diff --git a/fetchmail.exec b/fetchmail.exec
index ca709d4..981792d 100644
--- a/fetchmail.exec
+++ b/fetchmail.exec
@@ -3,13 +3,13 @@
die() {
echo "$@" 1>&2
- exit 1
+ exit 5 # closest thing among fetchmail's exit codes
}
echo "$FETCHMAIL_POLLING_INTERVAL" | grep -Eq '^[0-9]+$' \
|| die 'invalid $FETCHMAIL_POLLING_INTERVAL setting'
[ -r "$FETCHMAIL_RC_PATH" ] \
- || die '$FETCHMAIL_RC_PATH does not exist'
+ || die '$FETCHMAIL_RC_PATH does not exist or cannot be read'
OPTS="-d $FETCHMAIL_POLLING_INTERVAL"
[ "$FETCHMAIL_FETCHALL" = "yes" ] && OPTS="$OPTS -a"